# Uses of Interface
org.jboss.logging.processor.model.Parameter

Packages that use Parameter
Package
Description
org.jboss.logging.processor.model

## Uses of Parameter in org.jboss.logging.processor.model

Methods in org.jboss.logging.processor.model that return Parameter
Modifier and Type
Method
Description
`Parameter`
MessageMethod.`cause()`
Returns the cause element if `MessageMethod.hasCause()` returns `true`, otherwise `null`.
Methods in org.jboss.logging.processor.model that return types with arguments of type Parameter
Modifier and Type
Method
Description
`Set<Parameter>`
ThrowableType.`constructionParameters()`
The parameters needed to construct the throwable, if not using the default constructor.
`Set<Parameter>`
MessageMethod.`parameters()`
Returns the parameters for the method.
`Set<Parameter>`
MessageMethod.`parametersAnnotatedWith(Class<? extends Annotation> annotation)`
Returns an unmodifiable collection of the parameters specified by the parameter type or an empty set.